/*
 *	File Name:		kill.h
 *	Project:		BARN - Bah's Amiga ReadNews.
 *	Purpose:		Define kill structures.
 *	Author:			Jeff Van Epps
 *	Created:		04 Sep 89
 *	Last Modified:	22 Oct 90
 *	Comments:
 *		Include "regexp.h" before "kill.h".
 *
 *	History:
 *		04 Sep 89/JVE	Created.
 *		22 Oct 90/JVE	New KILL_INFO structure includes regexp pattern.
 */

/*
 *	A kill list is a list of kill_info structures.  An article matching any
 *	kill structure will be "killed".
 */

typedef struct kill_info {
	char				*fieldname;
	char				*fieldvalue;
	struct regexp		*pattern;
	struct kill_info	*next;			/* ptr to next article in newsgroup */
	} KILL_INFO;

/*
 *	Function prototypes.
 */

# ifdef sun

KILL_INFO	*GetKillList();
void		PutKillList();
void		DestroyKillList();

# else

KILL_INFO	*GetKillList( char *filename );
void		PutKillList( char *filename, KILL_INFO *root );
void		DestroyKillList( KILL_INFO *root );

# endif
